Component({
    properties: {
        list: {
            type: Array
        },
        showAll: { //是否显示全部(包含值为空项)
            type: Boolean,
            value: true
        },
        clickItem: {
            type: Function
        }
    },
    methods: {
        /* 单击项目 */
        clickItem(e) {
            const {
                item
            } = e.currentTarget.dataset;
            this.triggerEvent("clickItem", item)
        },
        /* 单击补充区域 */
        clickRep(e) {
            const {
                item
            } = e.currentTarget.dataset;
        }
    }
})